diff --git a/doc/src/sgml/config.sgml b/doc/src/sgml/config.sgml
index 23d2b1be424..aef2d9b14d3 100644
--- a/doc/src/sgml/config.sgml
+++ b/doc/src/sgml/config.sgml
@@ -8852,7 +8745,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
        <listitem>
         <para>
          Controls whether the server should run the
-         autovacuum launcher daemon.  This is on by default; however,
+         autovacuum launcher daemon. Even if this is on,
          <xref linkend="guc-track-counts"/> must also be enabled for
          autovacuum to work.
          This parameter can only be set in the <filename>postgresql.conf</filename>
@@ -8889,7 +8782,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       </varlistentry>
 
       <varlistentry id="guc-autovacuum-max-workers" xreflabel="autovacuum_max_workers">
-       <term><varname>autovacuum_max_workers</varname> (<type>integer</type>)
+       <term><varname>autovacuum_max_workers</varname> (<type>integer</type>) - default is 3
        <indexterm>
         <primary><varname>autovacuum_max_workers</varname> configuration parameter</primary>
        </indexterm>
@@ -8911,7 +8804,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       </varlistentry>
 
       <varlistentry id="guc-autovacuum-naptime" xreflabel="autovacuum_naptime">
-       <term><varname>autovacuum_naptime</varname> (<type>integer</type>)
+       <term><varname>autovacuum_naptime</varname> (<type>integer</type>) - default is 1 minute
        <indexterm>
         <primary><varname>autovacuum_naptime</varname> configuration parameter</primary>
        </indexterm>
@@ -8923,7 +8816,6 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
          database and issues <command>VACUUM</command> and <command>ANALYZE</command> commands
          as needed for tables in that database.
          If this value is specified without units, it is taken as seconds.
-         The default is one minute (<literal>1min</literal>).
          This parameter can only be set in the <filename>postgresql.conf</filename>
          file or on the server command line.
         </para>
@@ -8931,7 +8823,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       </varlistentry>
 
       <varlistentry id="guc-autovacuum-vacuum-threshold" xreflabel="autovacuum_vacuum_threshold">
-       <term><varname>autovacuum_vacuum_threshold</varname> (<type>integer</type>)
+       <term><varname>autovacuum_vacuum_threshold</varname> (<type>integer</type>) - default is 50 tuples
        <indexterm>
         <primary><varname>autovacuum_vacuum_threshold</varname></primary>
         <secondary>configuration parameter</secondary>
@@ -8941,7 +8833,6 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         <para>
          Specifies the minimum number of updated or deleted tuples needed
          to trigger a <command>VACUUM</command> in any one table.
-         The default is 50 tuples.
          This parameter can only be set in the <filename>postgresql.conf</filename>
          file or on the server command line;
          but the setting can be overridden for individual tables by
@@ -8951,7 +8842,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       </varlistentry>
 
       <varlistentry id="guc-autovacuum-vacuum-insert-threshold" xreflabel="autovacuum_vacuum_insert_threshold">
-       <term><varname>autovacuum_vacuum_insert_threshold</varname> (<type>integer</type>)
+       <term><varname>autovacuum_vacuum_insert_threshold</varname> (<type>integer</type>) - default is 1000 tuples
        <indexterm>
         <primary><varname>autovacuum_vacuum_insert_threshold</varname></primary>
         <secondary>configuration parameter</secondary>
@@ -8961,7 +8852,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         <para>
          Specifies the number of inserted tuples needed to trigger a
          <command>VACUUM</command> in any one table.
-         The default is 1000 tuples.  If -1 is specified, autovacuum will not
+         If -1 is specified, autovacuum will not
          trigger a <command>VACUUM</command> operation on any tables based on
          the number of inserts.
          This parameter can only be set in the <filename>postgresql.conf</filename>
@@ -8973,7 +8864,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       </varlistentry>
 
       <varlistentry id="guc-autovacuum-analyze-threshold" xreflabel="autovacuum_analyze_threshold">
-       <term><varname>autovacuum_analyze_threshold</varname> (<type>integer</type>)
+       <term><varname>autovacuum_analyze_threshold</varname> (<type>integer</type>) - default is 50 tuples
        <indexterm>
         <primary><varname>autovacuum_analyze_threshold</varname></primary>
         <secondary>configuration parameter</secondary>
@@ -8983,7 +8874,6 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         <para>
          Specifies the minimum number of inserted, updated or deleted tuples
          needed to trigger an <command>ANALYZE</command> in any one table.
-         The default is 50 tuples.
          This parameter can only be set in the <filename>postgresql.conf</filename>
          file or on the server command line;
          but the setting can be overridden for individual tables by
@@ -8993,7 +8883,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       </varlistentry>
 
       <varlistentry id="guc-autovacuum-vacuum-scale-factor" xreflabel="autovacuum_vacuum_scale_factor">
-       <term><varname>autovacuum_vacuum_scale_factor</varname> (<type>floating point</type>)
+       <term><varname>autovacuum_vacuum_scale_factor</varname> (<type>floating point</type>) - default is 0.2
        <indexterm>
         <primary><varname>autovacuum_vacuum_scale_factor</varname></primary>
         <secondary>configuration parameter</secondary>
@@ -9001,20 +8891,19 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
        </term>
        <listitem>
         <para>
-         Specifies a fraction of the table size to add to
-         <varname>autovacuum_vacuum_threshold</varname>
-         when deciding whether to trigger a <command>VACUUM</command>.
-         The default is <literal>0.2</literal> (20% of table size).
-         This parameter can only be set in the <filename>postgresql.conf</filename>
-         file or on the server command line;
-         but the setting can be overridden for individual tables by
-         changing table storage parameters.
+         Specifies a fraction of the unfrozen pages in the table to add to
+         <varname>autovacuum_vacuum_insert_threshold</varname> when deciding
+         whether to trigger a <command>VACUUM</command>. Value of 
+         <literal>0.2</literal> means (20% of unfrozen pages in table). This
+         parameter can only be set in the <filename>postgresql.conf</filename>
+         file or on the server command line; but the setting can be overridden
+         for individual tables by changing table storage parameters.
         </para>
        </listitem>
       </varlistentry>
 
       <varlistentry id="guc-autovacuum-vacuum-insert-scale-factor" xreflabel="autovacuum_vacuum_insert_scale_factor">
-       <term><varname>autovacuum_vacuum_insert_scale_factor</varname> (<type>floating point</type>)
+       <term><varname>autovacuum_vacuum_insert_scale_factor</varname> (<type>floating point</type>) - default is 0.2
        <indexterm>
         <primary><varname>autovacuum_vacuum_insert_scale_factor</varname></primary>
         <secondary>configuration parameter</secondary>
@@ -9024,8 +8913,8 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         <para>
          Specifies a fraction of the unfrozen pages in the table to add to
          <varname>autovacuum_vacuum_insert_threshold</varname> when deciding
-         whether to trigger a <command>VACUUM</command>. The default is
-         <literal>0.2</literal> (20% of unfrozen pages in table). This
+         whether to trigger a <command>VACUUM</command>. Value of 
+         <literal>0.2</literal> means (20% of unfrozen pages in table). This
          parameter can only be set in the <filename>postgresql.conf</filename>
          file or on the server command line; but the setting can be overridden
          for individual tables by changing table storage parameters.
@@ -9034,7 +8923,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       </varlistentry>
 
       <varlistentry id="guc-autovacuum-analyze-scale-factor" xreflabel="autovacuum_analyze_scale_factor">
-       <term><varname>autovacuum_analyze_scale_factor</varname> (<type>floating point</type>)
+       <term><varname>autovacuum_analyze_scale_factor</varname> (<type>floating point</type>) - default is 0.1
        <indexterm>
         <primary><varname>autovacuum_analyze_scale_factor</varname></primary>
         <secondary>configuration parameter</secondary>
@@ -9045,7 +8934,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
          Specifies a fraction of the table size to add to
          <varname>autovacuum_analyze_threshold</varname>
          when deciding whether to trigger an <command>ANALYZE</command>.
-         The default is <literal>0.1</literal> (10% of table size).
+         Value of <literal>0.1</literal> means (10% of table size).
          This parameter can only be set in the <filename>postgresql.conf</filename>
          file or on the server command line;
          but the setting can be overridden for individual tables by
@@ -9054,30 +8943,6 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
        </listitem>
       </varlistentry>
 
-      <varlistentry id="guc-autovacuum-vacuum-max-threshold" xreflabel="autovacuum_vacuum_max_threshold">
-       <term><varname>autovacuum_vacuum_max_threshold</varname> (<type>integer</type>)
-       <indexterm>
-        <primary><varname>autovacuum_vacuum_max_threshold</varname></primary>
-        <secondary>configuration parameter</secondary>
-       </indexterm>
-       </term>
-       <listitem>
-        <para>
-         Specifies the maximum number of updated or deleted tuples needed to
-         trigger a <command>VACUUM</command> in any one table, i.e., a limit on
-         the value calculated with
-         <varname>autovacuum_vacuum_threshold</varname> and
-         <varname>autovacuum_vacuum_scale_factor</varname>.  The default is
-         100,000,000 tuples.  If -1 is specified, autovacuum will not enforce a
-         maximum number of updated or deleted tuples that will trigger a
-         <command>VACUUM</command> operation.  This parameter can only be set
-         in the <filename>postgresql.conf</filename> file or on the server
-         command line; but the setting can be overridden for individual tables
-         by changing storage parameters.
-        </para>
-       </listitem>
-      </varlistentry>
-
       <varlistentry id="guc-autovacuum-freeze-max-age" xreflabel="autovacuum_freeze_max_age">
        <term><varname>autovacuum_freeze_max_age</varname> (<type>integer</type>)
        <indexterm>
@@ -9137,7 +9002,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       </varlistentry>
 
       <varlistentry id="guc-autovacuum-vacuum-cost-delay" xreflabel="autovacuum_vacuum_cost_delay">
-       <term><varname>autovacuum_vacuum_cost_delay</varname> (<type>floating point</type>)
+       <term><varname>autovacuum_vacuum_cost_delay</varname> (<type>floating point</type>) - default is 2 miliseconds
        <indexterm>
         <primary><varname>autovacuum_vacuum_cost_delay</varname></primary>
         <secondary>configuration parameter</secondary>
@@ -9159,7 +9024,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       </varlistentry>
 
       <varlistentry id="guc-autovacuum-vacuum-cost-limit" xreflabel="autovacuum_vacuum_cost_limit">
-       <term><varname>autovacuum_vacuum_cost_limit</varname> (<type>integer</type>)
+       <term><varname>autovacuum_vacuum_cost_limit</varname> (<type>integer</type>) - default is -1
        <indexterm>
         <primary><varname>autovacuum_vacuum_cost_limit</varname></primary>
         <secondary>configuration parameter</secondary>
@@ -9222,7 +9087,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
 
      <variablelist>
       <varlistentry id="guc-vacuum-cost-delay" xreflabel="vacuum_cost_delay">
-       <term><varname>vacuum_cost_delay</varname> (<type>floating point</type>)
+       <term><varname>vacuum_cost_delay</varname> (<type>floating point</type>) - default is 0
        <indexterm>
         <primary><varname>vacuum_cost_delay</varname> configuration parameter</primary>
        </indexterm>
@@ -9252,7 +9117,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       </varlistentry>
 
       <varlistentry id="guc-vacuum-cost-page-hit" xreflabel="vacuum_cost_page_hit">
-       <term><varname>vacuum_cost_page_hit</varname> (<type>integer</type>)
+       <term><varname>vacuum_cost_page_hit</varname> (<type>integer</type>) - default is 1
        <indexterm>
         <primary><varname>vacuum_cost_page_hit</varname> configuration parameter</primary>
        </indexterm>
@@ -9268,7 +9133,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       </varlistentry>
 
       <varlistentry id="guc-vacuum-cost-page-miss" xreflabel="vacuum_cost_page_miss">
-       <term><varname>vacuum_cost_page_miss</varname> (<type>integer</type>)
+       <term><varname>vacuum_cost_page_miss</varname> (<type>integer</type>) - default is 2
        <indexterm>
         <primary><varname>vacuum_cost_page_miss</varname> configuration parameter</primary>
        </indexterm>
@@ -9285,7 +9150,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       </varlistentry>
 
       <varlistentry id="guc-vacuum-cost-page-dirty" xreflabel="vacuum_cost_page_dirty">
-       <term><varname>vacuum_cost_page_dirty</varname> (<type>integer</type>)
+       <term><varname>vacuum_cost_page_dirty</varname> (<type>integer</type>) - default is 20
        <indexterm>
         <primary><varname>vacuum_cost_page_dirty</varname> configuration parameter</primary>
        </indexterm>
@@ -9301,7 +9166,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       </varlistentry>
 
       <varlistentry id="guc-vacuum-cost-limit" xreflabel="vacuum_cost_limit">
-       <term><varname>vacuum_cost_limit</varname> (<type>integer</type>)
+       <term><varname>vacuum_cost_limit</varname> (<type>integer</type>) - default is 200
        <indexterm>
         <primary><varname>vacuum_cost_limit</varname> configuration parameter</primary>
        </indexterm>
@@ -9309,8 +9174,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
        <listitem>
         <para>
          This is the accumulated cost that will cause the vacuuming
-         process to sleep for <varname>vacuum_cost_delay</varname>.  The
-         default is <literal>200</literal>.
+         process to sleep for <varname>vacuum_cost_delay</varname>.
         </para>
        </listitem>
       </varlistentry>
@@ -9336,7 +9200,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
 
      <variablelist>
       <varlistentry id="guc-vacuum-truncate" xreflabel="vacuum_truncate">
-       <term><varname>vacuum_truncate</varname> (<type>boolean</type>)
+       <term><varname>vacuum_truncate</varname> (<type>boolean</type>) default is true
        <indexterm>
         <primary><varname>vacuum_truncate</varname> configuration parameter</primary>
        </indexterm>
@@ -9344,8 +9208,8 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
        <listitem>
         <para>
          Enables or disables vacuum to try to truncate off any empty pages at
-         the end of the table.  The default value is <literal>true</literal>.
-         If <literal>true</literal>, <command>VACUUM</command> and autovacuum
+         the end of the table. 
+		 If <literal>true</literal>, <command>VACUUM</command> and autovacuum
          do the truncation and the disk space for the truncated pages is
          returned to the operating system.  Note that the truncation requires
          an <literal>ACCESS EXCLUSIVE</literal> lock on the table.  The
@@ -9378,7 +9242,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
 
      <variablelist>
       <varlistentry id="guc-vacuum-freeze-table-age" xreflabel="vacuum_freeze_table_age">
-       <term><varname>vacuum_freeze_table_age</varname> (<type>integer</type>)
+       <term><varname>vacuum_freeze_table_age</varname> (<type>integer</type>) default is 150 million transactions
        <indexterm>
         <primary><varname>vacuum_freeze_table_age</varname> configuration parameter</primary>
        </indexterm>
@@ -9390,7 +9254,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
          the age specified by this setting.  An aggressive scan differs from
          a regular <command>VACUUM</command> in that it visits every page that might
          contain unfrozen XIDs or MXIDs, not just those that might contain dead
-         tuples.  The default is 150 million transactions.  Although users can
+         tuples.  Although users can
          set this value anywhere from zero to two billion, <command>VACUUM</command>
          will silently limit the effective value to 95% of
          <xref linkend="guc-autovacuum-freeze-max-age"/>, so that a
@@ -9403,7 +9267,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       </varlistentry>
 
       <varlistentry id="guc-vacuum-freeze-min-age" xreflabel="vacuum_freeze_min_age">
-       <term><varname>vacuum_freeze_min_age</varname> (<type>integer</type>)
+       <term><varname>vacuum_freeze_min_age</varname> (<type>integer</type>) default is 50 million transactions
        <indexterm>
         <primary><varname>vacuum_freeze_min_age</varname> configuration parameter</primary>
        </indexterm>
@@ -9413,7 +9277,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
          Specifies the cutoff age (in transactions) that
          <command>VACUUM</command> should use to decide whether to
          trigger freezing of pages that have an older XID.
-         The default is 50 million transactions.  Although
+         Although
          users can set this value anywhere from zero to one billion,
          <command>VACUUM</command> will silently limit the effective value to half
          the value of <xref linkend="guc-autovacuum-freeze-max-age"/>, so
@@ -9425,7 +9289,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       </varlistentry>
 
       <varlistentry id="guc-vacuum-failsafe-age" xreflabel="vacuum_failsafe_age">
-       <term><varname>vacuum_failsafe_age</varname> (<type>integer</type>)
+       <term><varname>vacuum_failsafe_age</varname> (<type>integer</type>) default is 1.6 billion transactions
        <indexterm>
         <primary><varname>vacuum_failsafe_age</varname> configuration parameter</primary>
        </indexterm>
@@ -9452,7 +9316,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
          <glossterm linkend="glossary-shared-memory">shared buffers</glossterm>.
         </para>
         <para>
-         The default is 1.6 billion transactions.  Although users can
+         Although users can
          set this value anywhere from zero to 2.1 billion,
          <command>VACUUM</command> will silently adjust the effective
          value to no less than 105% of <xref
@@ -9462,7 +9326,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       </varlistentry>
 
       <varlistentry id="guc-vacuum-multixact-freeze-table-age" xreflabel="vacuum_multixact_freeze_table_age">
-       <term><varname>vacuum_multixact_freeze_table_age</varname> (<type>integer</type>)
+       <term><varname>vacuum_multixact_freeze_table_age</varname> (<type>integer</type>) default is 150 million multixacts
        <indexterm>
         <primary><varname>vacuum_multixact_freeze_table_age</varname> configuration parameter</primary>
        </indexterm>
@@ -9474,7 +9338,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
          the age specified by this setting.  An aggressive scan differs from
          a regular <command>VACUUM</command> in that it visits every page that might
          contain unfrozen XIDs or MXIDs, not just those that might contain dead
-         tuples.  The default is 150 million multixacts.
+         tuples.  
          Although users can set this value anywhere from zero to two billion,
          <command>VACUUM</command> will silently limit the effective value to 95% of
          <xref linkend="guc-autovacuum-multixact-freeze-max-age"/>, so that a
@@ -9486,7 +9350,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       </varlistentry>
 
       <varlistentry id="guc-vacuum-multixact-freeze-min-age" xreflabel="vacuum_multixact_freeze_min_age">
-       <term><varname>vacuum_multixact_freeze_min_age</varname> (<type>integer</type>)
+       <term><varname>vacuum_multixact_freeze_min_age</varname> (<type>integer</type>) default is 5 million multixacts
        <indexterm>
         <primary><varname>vacuum_multixact_freeze_min_age</varname> configuration parameter</primary>
        </indexterm>
@@ -9495,7 +9359,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         <para>
          Specifies the cutoff age (in multixacts) that <command>VACUUM</command>
          should use to decide whether to trigger freezing of pages with
-         an older multixact ID.  The default is 5 million multixacts.
+         an older multixact ID.
          Although users can set this value anywhere from zero to one billion,
          <command>VACUUM</command> will silently limit the effective value to half
          the value of <xref linkend="guc-autovacuum-multixact-freeze-max-age"/>,
@@ -9507,7 +9371,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       </varlistentry>
 
       <varlistentry id="guc-vacuum-multixact-failsafe-age" xreflabel="vacuum_multixact_failsafe_age">
-       <term><varname>vacuum_multixact_failsafe_age</varname> (<type>integer</type>)
+       <term><varname>vacuum_multixact_failsafe_age</varname> (<type>integer</type>) default is 1.6 billion multixacts
        <indexterm>
         <primary><varname>vacuum_multixact_failsafe_age</varname> configuration parameter</primary>
        </indexterm>
@@ -9530,7 +9394,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
          maintenance tasks (such as index vacuuming) are bypassed.
         </para>
         <para>
-         The default is 1.6 billion multixacts.  Although users can set
+         Although users can set
          this value anywhere from zero to 2.1 billion,
          <command>VACUUM</command> will silently adjust the effective
          value to no less than 105% of <xref
@@ -9540,7 +9404,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
       </varlistentry>
 
      <varlistentry id="guc-vacuum-max-eager-freeze-failure-rate" xreflabel="vacuum_max_eager_freeze_failure_rate">
-      <term><varname>vacuum_max_eager_freeze_failure_rate</varname> (<type>floating point</type>)
+      <term><varname>vacuum_max_eager_freeze_failure_rate</varname> (<type>floating point</type>) default is 0.03 (3%)
       <indexterm>
        <primary><varname>vacuum_max_eager_freeze_failure_rate</varname> configuration parameter</primary>
       </indexterm>
@@ -9551,8 +9415,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         the relation) that <command>VACUUM</command> may scan and
         <emphasis>fail</emphasis> to set all-frozen in the visibility map
         before disabling eager scanning. A value of <literal>0</literal>
-        disables eager scanning altogether. The default is
-        <literal>0.03</literal> (3%).
+        disables eager scanning altogether.
        </para>
 
        <para>
@@ -9590,7 +9453,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      <variablelist>
 
      <varlistentry id="guc-client-min-messages" xreflabel="client_min_messages">
-      <term><varname>client_min_messages</varname> (<type>enum</type>)
+      <term><varname>client_min_messages</varname> (<type>enum</type>) default is NOTICE  
       <indexterm>
        <primary><varname>client_min_messages</varname> configuration parameter</primary>
       </indexterm>
@@ -9605,8 +9468,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         <literal>DEBUG1</literal>, <literal>LOG</literal>, <literal>NOTICE</literal>,
         <literal>WARNING</literal>, and <literal>ERROR</literal>.
         Each level includes all the levels that follow it.  The later the level,
-        the fewer messages are sent.  The default is
-        <literal>NOTICE</literal>.  Note that <literal>LOG</literal> has a different
+        the fewer messages are sent.  Note that <literal>LOG</literal> has a different
         rank here than in <xref linkend="guc-log-min-messages"/>.
        </para>
        <para>
@@ -9616,7 +9478,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-search-path" xreflabel="search_path">
-      <term><varname>search_path</varname> (<type>string</type>)
+      <term><varname>search_path</varname> (<type>string</type>) default is "$user", public
       <indexterm>
        <primary><varname>search_path</varname> configuration parameter</primary>
       </indexterm>
@@ -9679,8 +9541,6 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
        </para>
 
        <para>
-        The default value for this parameter is
-        <literal>"$user", public</literal>.
         This setting supports shared use of a database (where no users
         have private schemas, and all share use of <literal>public</literal>),
         private per-user schemas, and combinations of these.  Other
@@ -9710,7 +9570,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-row-security" xreflabel="row_security">
-      <term><varname>row_security</varname> (<type>boolean</type>)
+      <term><varname>row_security</varname> (<type>boolean</type>) default is on
       <indexterm>
        <primary><varname>row_security</varname> configuration parameter</primary>
       </indexterm>
@@ -9720,7 +9580,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         This variable controls whether to raise an error in lieu of applying a
         row security policy.  When set to <literal>on</literal>, policies apply
         normally.  When set to <literal>off</literal>, queries fail which would
-        otherwise apply at least one policy.  The default is <literal>on</literal>.
+        otherwise apply at least one policy.  
         Change to <literal>off</literal> where limited row visibility could cause
         incorrect results; for example, <application>pg_dump</application> makes that
         change by default.  This variable has no effect on roles which bypass
@@ -9736,7 +9596,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-default-table-access-method" xreflabel="default_table_access_method">
-      <term><varname>default_table_access_method</varname> (<type>string</type>)
+      <term><varname>default_table_access_method</varname> (<type>string</type>) default is heap
       <indexterm>
        <primary><varname>default_table_access_method</varname> configuration parameter</primary>
       </indexterm>
@@ -9747,7 +9607,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         creating tables or materialized views if the <command>CREATE</command>
         command does not explicitly specify an access method, or when
         <command>SELECT ... INTO</command> is used, which does not allow
-        specifying a table access method. The default is <literal>heap</literal>.
+        specifying a table access method. 
        </para>
       </listitem>
      </varlistentry>
@@ -9803,7 +9663,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-default-toast-compression" xreflabel="default_toast_compression">
-      <term><varname>default_toast_compression</varname> (<type>enum</type>)
+      <term><varname>default_toast_compression</varname> (<type>enum</type>) default is pglz
       <indexterm>
        <primary><varname>default_toast_compression</varname> configuration parameter</primary>
       </indexterm>
@@ -9820,13 +9680,12 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         The supported compression methods are <literal>pglz</literal> and
         (if <productname>PostgreSQL</productname> was compiled with
         <option>--with-lz4</option>) <literal>lz4</literal>.
-        The default is <literal>pglz</literal>.
        </para>
       </listitem>
      </varlistentry>
 
      <varlistentry id="guc-temp-tablespaces" xreflabel="temp_tablespaces">
-      <term><varname>temp_tablespaces</varname> (<type>string</type>)
+      <term><varname>temp_tablespaces</varname> (<type>string</type>) default is ''
       <indexterm>
        <primary><varname>temp_tablespaces</varname> configuration parameter</primary>
       </indexterm>
@@ -9863,7 +9722,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
        </para>
 
        <para>
-        The default value is an empty string, which results in all temporary
+        If default is used, which results in all temporary
         objects being created in the default tablespace of the current
         database.
        </para>
@@ -9923,7 +9782,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-default-transaction-read-only" xreflabel="default_transaction_read_only">
-      <term><varname>default_transaction_read_only</varname> (<type>boolean</type>)
+      <term><varname>default_transaction_read_only</varname> (<type>boolean</type>) default is off (read/write).
       <indexterm>
        <primary>read-only transaction</primary>
        <secondary>setting default</secondary>
@@ -9936,9 +9795,8 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
        <para>
         A read-only SQL transaction cannot alter non-temporary tables.
         This parameter controls the default read-only status of each new
-        transaction. The default is <literal>off</literal> (read/write).
+        transaction.
        </para>
-
        <para>
         Consult <xref linkend="sql-set-transaction"/> for more information.
        </para>
@@ -9946,7 +9804,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
      </varlistentry>
 
      <varlistentry id="guc-default-transaction-deferrable" xreflabel="default_transaction_deferrable">
-      <term><varname>default_transaction_deferrable</varname> (<type>boolean</type>)
+      <term><varname>default_transaction_deferrable</varname> (<type>boolean</type>) default is off
       <indexterm>
        <primary>deferrable transaction</primary>
        <secondary>setting default</secondary>
@@ -9970,7 +9828,7 @@ COPY postgres_log FROM '/full/path/to/logfile.csv' WITH csv;
         This parameter controls the default deferrable status of each
         new transaction.  It currently has no effect on read-write
         transactions or those operating at isolation levels lower
-        than <literal>serializable</literal>. The default is <literal>off</literal>.
+        than <literal>serializable</literal>. 
        </para>
 
        <para>
